.logo {
  background: url(/images/logo.svg) no-repeat;
  background-size: 100% auto;
  height: 55px;
  left: 6px;
  position: absolute;
  top: 15px;
  width: 100px;
}

@media screen and (min-width: 1040px) {
  .logo {
    height: 99px;
    top: 10px;
    width: 180px;
  }
}

.navi-icon {
  cursor: pointer;
  display: inline-block;
  float: none;
  height: 30px;
  margin: 0 auto;
  position: absolute;
  right: 10px;
  top: 16px;
  -webkit-transition: all .3s;
  transition: all .3s;
  width: 34px;
}

.navi-icon > span {
  background-color: #202020;
  display: block;
  height: .2em;
  margin-top: -.2em;
  position: absolute;
  top: 50%;
  width: 100%;
}

.navi-icon > span:after, .navi-icon > span:before {
  background-color: #202020;
  content: "";
  height: 100%;
  position: absolute;
  -webkit-transition: all .3s;
  transition: all .3s;
  width: 100%;
}

.navi-icon > span:before {
  -webkit-transform: translateY(-.5em);
  transform: translateY(-.5em);
}

.navi-icon > span:after {
  -webkit-transform: translateY(.5em);
  transform: translateY(.5em);
}

.active .navi-icon {
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.active .navi-icon > span:after, .active .navi-icon > span:before {
  -webkit-transform: rotate(90deg);
  transform: rotate(90deg);
}

.navi {
  display: block;
  position: relative;
  padding: 0;
}

.active .navi {
  display: block;
  padding: 60px 0 0;
  position: relative;
}

.navi > ul {
  display: flex !important;
  justify-content: flex-end;
  margin: 0;
  padding: 0 15% 0 0;
  text-align: right;
}

.active .navi > ul {
  display: block !important;
  padding: 0 0 0;
  text-align: center;
}

.navi > ul > li {
  display: none;
}

.navi > ul > li:last-child {
  display: inline-block;
}

.active .navi > ul > li {
  display: block;
}

.navi > ul > li:last-child {
  display: inline-block;
}

.navi > ul > li > a {
  border-top: 6px solid transparent;
  display: block;
  font-size: 1.4rem;
  font-weight: bold;
  padding: 17px 20px;
  text-decoration: none;
  text-transform: uppercase;
}

.navi > ul > li:hover > a {
  background: #202020;
  color: #fff;
}

.navi > ul > li > a.current {
  border-top: 6px solid #00F09F;
}

.navi li ul {
  display: none;
  list-style-type: none;
  margin: 0;
  padding: 0;
  position: absolute;
  text-align: left;
  z-index: 22;
}

.no-touch .navi li:hover ul {
  background-color: #fff;
  box-shadow: 4px 4px 4px rgba(0, 0, 0, .1);
  display: block;
}

.navi li li {
  font-size: 16px;
  font-size: 1.6rem;
  margin: 5px 0;
  padding: 0 10px;
  position: relative;
}

.navi li li a {
  color: #202020;
  display: block;
  font-size: 16px;
  font-size: 1.6rem;
  padding: 6px 50px 6px 10px;
  text-decoration: none;
}

.navi li li:hover a {
  background: #202020;
  color: #fff;
}

.navi li li a.current {
  background: #00F09F;
}

@media screen and (min-width: 1040px) {

  .navi-icon {
    display: none;
  }

  .logo {
    background: url(/images/logo.svg) no-repeat;
    background-size: 100% auto;
    left: 15px;
    position: absolute;
  }

  .navi {
    display: block;
    padding: 20px 0 30px 0;
    position: relative;
  }

  .navi > ul {
    display: flex !important;
    justify-content: flex-end;
    margin: 0;
    padding: 0;
    text-align: right;
  }

  .navi > ul > li, .navi > ul > li:not(:first-child) {
    border-width: 0 0 0 1px;
    display: inline-block;
    vertical-align: bottom;
  }

  .navi > ul > li > a {
    font-size: 1.8rem;
  }
  
}